UrlBase64Test (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.util.encoders.test

## Class UrlBase64Test

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.util.encoders.test.AbstractCoderTest
      - - org.bouncycastle.util.encoders.test.UrlBase64Test

- All Implemented Interfaces:
    junit.framework.Test

      public class UrlBase64Test
      extends AbstractCoderTest

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.util.encoders.test.AbstractCoderTest

      `enc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlBase64Test(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isEncodedChar(char c)`
    `protected char` | `paddingChar()`
    `protected void` | `setUp()`
    `void` | `testInvalidInput()`
    `void` | `testSamples()`

    - ### Methods inherited from class org.bouncycastle.util.encoders.test.AbstractCoderTest

      `testEncode`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlBase64Test

          public UrlBase64Test(java.lang.String name)

  - ### Method Detail

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `AbstractCoderTest`

    - #### testSamples

          public void testSamples()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### testInvalidInput

          public void testInvalidInput()
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### paddingChar

          protected char paddingChar()

      Specified by:
        `paddingChar` in class `AbstractCoderTest`

    - #### isEncodedChar

          protected boolean isEncodedChar(char c)

      Specified by:
        `isEncodedChar` in class `AbstractCoderTest`